> For the complete documentation index, see [llms.txt](https://developers.phantommovies.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.phantommovies.com/api-reference/movies.md).

# Movies

{% hint style="danger" %}
You are in an <mark style="color:red;">Under Development Area.</mark> All endpoints in this area do work but are subject to change. Endpoints that start with ✅ have been completely migrated to `v3.`
{% endhint %}

## Overview:

Phantom Movies provides multiple ways to search, discover and find information on movies. With our endpoints users are able to create many different types of projects / applications.

### Available Endpoints

{% content-ref url="/pages/68qiOK9acrZvn2iNj1P0" %}
[Latest Movies](/api-reference/movies/latest-movies.md)
{% endcontent-ref %}

{% content-ref url="/pages/3O9Q29JgATBNxdP6xzqk" %}
[Trending Movies](/api-reference/movies/trending-movies.md)
{% endcontent-ref %}

{% content-ref url="/pages/8w5fXbKGLKThiODFwBXR" %}
[Top Rated Movies](/api-reference/movies/top-rated-movies.md)
{% endcontent-ref %}

{% content-ref url="/pages/DF11Y0FC9XFKnBEsBntv" %}
[Search](/api-reference/movies/search.md)
{% endcontent-ref %}

{% content-ref url="/pages/VKPziHGYX86tZ4pzd6bJ" %}
[Details](/api-reference/movies/details.md)
{% endcontent-ref %}

{% content-ref url="/pages/6e2h8TDt5QUaYSYBCpcA" %}
[Genre](/api-reference/movies/genre.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.phantommovies.com/api-reference/movies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
